> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockworksresearch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1projects



## OpenAPI

````yaml /openapi.json get /v1/projects/{idOrSlug}
openapi: 3.0.0
info:
  title: Blockworks API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.blockworks.com
security:
  - x-api-key: []
tags: []
paths:
  /v1/projects/{idOrSlug}:
    get:
      tags:
        - projects
      operationId: ProjectController_get_v1
      parameters:
        - name: idOrSlug
          required: true
          in: path
          schema:
            type: string
        - name: sparkline
          required: false
          in: query
          schema:
            enum:
              - 7d
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectResponse'
        '400':
          description: Bad Request
        '404':
          description: Not Found
      security:
        - x-api-key: []
components:
  schemas:
    ProjectResponse:
      type: object
      properties:
        id:
          type: integer
          minimum: 0
          maximum: 4294967295
        title:
          type: string
          maxLength: 100
        tagline:
          type: string
          nullable: true
          maxLength: 255
        description:
          type: string
          nullable: true
          maxLength: 65535
        slug:
          type: string
          maxLength: 100
        url:
          type: string
          nullable: true
          maxLength: 255
        image_url:
          type: string
          nullable: true
          maxLength: 255
        updated_at:
          type: number
          nullable: true
          description: Unix timestamp
        asset:
          description: Expandable relationship
          allOf:
            - $ref: '#/components/schemas/AssetResponse'
      required:
        - id
        - title
        - tagline
        - description
        - slug
        - url
        - image_url
        - updated_at
    AssetResponse:
      type: object
      properties:
        id:
          type: integer
          minimum: 0
          maximum: 4294967295
        code:
          type: string
          nullable: true
          maxLength: 20
        title:
          type: string
          nullable: true
          maxLength: 100
        slug:
          type: string
          nullable: true
          maxLength: 100
        tag_line:
          type: string
          nullable: true
          maxLength: 255
        description:
          type: string
          nullable: true
          maxLength: 65535
        image_url:
          type: string
          nullable: true
          maxLength: 255
        sector:
          type: string
          nullable: true
          maxLength: 50
        category:
          type: string
          nullable: true
          maxLength: 25
        updated_at:
          type: number
          nullable: true
          description: Unix timestamp
        type:
          type: string
          nullable: true
          enum:
            - Infrastructure
            - Application
        reference:
          description: Expandable relationship
          allOf:
            - $ref: '#/components/schemas/AssetReference'
        market_cap:
          description: Expandable relationship
          allOf:
            - $ref: '#/components/schemas/MarketCap'
        ohlcv_last_24_h:
          description: Expandable relationship
          allOf:
            - $ref: '#/components/schemas/OhlcvLast24H'
        price:
          description: Expandable relationship
          allOf:
            - $ref: '#/components/schemas/Price'
        supply:
          description: Expandable relationship
          allOf:
            - $ref: '#/components/schemas/Supply'
        addresses:
          description: Expandable relationship
          type: array
          items:
            $ref: '#/components/schemas/AssetAddress'
        markets:
          description: Expandable relationship
          type: array
          items:
            $ref: '#/components/schemas/Market'
      required:
        - id
        - code
        - title
        - slug
        - tag_line
        - description
        - image_url
        - sector
        - category
        - updated_at
        - type
    AssetReference:
      type: object
      properties:
        asset_id:
          type: integer
          minimum: 0
          maximum: 4294967295
        coingecko:
          type: string
          nullable: true
          maxLength: 100
        messari:
          type: string
          nullable: true
          maxLength: 255
        ghost_analyst_slug:
          type: string
          nullable: true
          maxLength: 24
        trading_view:
          type: string
          nullable: true
          maxLength: 100
      required:
        - asset_id
        - coingecko
        - messari
        - ghost_analyst_slug
        - trading_view
    MarketCap:
      type: object
      properties:
        asset_id:
          type: integer
          minimum: 0
          maximum: 4294967295
        rank:
          type: integer
          nullable: true
          minimum: 0
          maximum: 4294967295
        usd:
          type: number
          nullable: true
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        dominance:
          type: number
          nullable: true
          format: float
          minimum: 1.17549435e-38
          maximum: 3.402823e+38
        percent_change_btc_1_h:
          type: number
          nullable: true
          format: float
          minimum: 1.17549435e-38
          maximum: 3.402823e+38
        percent_change_btc_24_h:
          type: number
          nullable: true
          format: float
          minimum: 1.17549435e-38
          maximum: 3.402823e+38
        percent_change_usd_1_h:
          type: number
          nullable: true
          format: float
          minimum: 1.17549435e-38
          maximum: 3.402823e+38
        percent_change_usd_24_h:
          type: number
          nullable: true
          format: float
          minimum: 1.17549435e-38
          maximum: 3.402823e+38
        percent_change_eth_1_h:
          type: number
          nullable: true
          format: float
          minimum: 1.17549435e-38
          maximum: 3.402823e+38
        percent_change_eth_24_h:
          type: number
          nullable: true
          format: float
          minimum: 1.17549435e-38
          maximum: 3.402823e+38
        updated_at:
          type: number
          nullable: true
          description: Unix timestamp
      required:
        - asset_id
        - rank
        - usd
        - dominance
        - percent_change_btc_1_h
        - percent_change_btc_24_h
        - percent_change_usd_1_h
        - percent_change_usd_24_h
        - percent_change_eth_1_h
        - percent_change_eth_24_h
        - updated_at
    OhlcvLast24H:
      type: object
      properties:
        asset_id:
          type: integer
          minimum: 0
          maximum: 4294967295
        open:
          type: number
          nullable: true
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        high:
          type: number
          nullable: true
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        low:
          type: number
          nullable: true
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        close:
          type: number
          nullable: true
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        volume:
          type: number
          nullable: true
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        updated_at:
          type: number
          nullable: true
          description: Unix timestamp
      required:
        - asset_id
        - open
        - high
        - low
        - close
        - volume
        - updated_at
    Price:
      type: object
      properties:
        asset_id:
          type: integer
          minimum: 0
          maximum: 4294967295
        usd:
          type: number
          nullable: true
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        btc:
          type: number
          nullable: true
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        eth:
          type: number
          nullable: true
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        sparkline_7d:
          type: string
          nullable: true
          maxLength: 65535
        updated_at:
          type: number
          nullable: true
          description: Unix timestamp
      required:
        - asset_id
        - usd
        - btc
        - eth
        - sparkline_7d
        - updated_at
    Supply:
      type: object
      properties:
        asset_id:
          type: integer
          minimum: 0
          maximum: 4294967295
        circulating:
          type: number
          nullable: true
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        liquid:
          type: number
          nullable: true
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        total:
          type: number
          nullable: true
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
      required:
        - asset_id
        - circulating
        - liquid
        - total
    AssetAddress:
      type: object
      properties:
        id:
          type: integer
          minimum: 0
          maximum: 4294967295
        asset_id:
          type: integer
          nullable: true
          minimum: 0
          maximum: 4294967295
        chain_id:
          type: integer
          nullable: true
          minimum: 0
          maximum: 4294967295
        type:
          type: string
          nullable: true
          maxLength: 100
        address:
          type: string
          nullable: true
          maxLength: 255
        updated_at:
          type: number
          nullable: true
          description: Unix timestamp
        chain:
          description: Expandable relationship
          allOf:
            - $ref: '#/components/schemas/Chain'
      required:
        - id
        - asset_id
        - chain_id
        - type
        - address
        - updated_at
    Market:
      type: object
      properties:
        id:
          type: integer
          minimum: 0
          maximum: 4294967295
        asset_id:
          type: integer
          nullable: true
          minimum: 0
          maximum: 4294967295
        volume_24_h:
          type: number
          nullable: true
          format: float
          minimum: 1.17549435e-38
          maximum: 3.402823e+38
        ath:
          type: number
          nullable: true
          format: float
          minimum: 1.17549435e-38
          maximum: 3.402823e+38
        ath_change_percentage:
          type: number
          nullable: true
          format: float
          minimum: 1.17549435e-38
          maximum: 3.402823e+38
        ath_date:
          type: number
          nullable: true
          description: Unix timestamp
        updated_at:
          type: number
          nullable: true
          description: Unix timestamp
      required:
        - id
        - asset_id
        - volume_24_h
        - ath
        - ath_change_percentage
        - ath_date
        - updated_at
    Chain:
      type: object
      properties:
        id:
          type: integer
          minimum: 0
          maximum: 4294967295
        asset_id:
          type: integer
          nullable: true
          minimum: 0
          maximum: 4294967295
        title:
          type: string
          nullable: true
          maxLength: 100
        slug:
          type: string
          nullable: true
          maxLength: 100
        type:
          type: string
          nullable: true
          maxLength: 100
        image_url:
          type: string
          nullable: true
          maxLength: 255
        is_test_net:
          type: integer
          nullable: true
          default: 0
          minimum: 0
          maximum: 65535
        updated_at:
          type: number
          nullable: true
          description: Unix timestamp
      required:
        - id
        - asset_id
        - title
        - slug
        - type
        - image_url
        - is_test_net
        - updated_at
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````